unit EmpD;

interface

uses
  SysUtils, Classes, DBXpress, FMTBcd, DB, SqlExpr, DBClient, Provider;

type
  TMainDm = class(TDataModule)
    EmployeeConnection: TSQLConnection;
    EmployeeQry: TSQLQuery;
    HistoryQry: TSQLQuery;
    EmpLinkSrc: TDataSource;
    EmployeeProv: TDataSetProvider;
    EmployeeCds: TClientDataSet;
    EmployeeQryEMP_NO: TSmallintField;
    EmployeeQryFIRST_NAME: TStringField;
    EmployeeQryLAST_NAME: TStringField;
    EmployeeQryPHONE_EXT: TStringField;
    EmployeeQryHIRE_DATE: TSQLTimeStampField;
    EmployeeQryDEPT_NO: TStringField;
    EmployeeQryJOB_CODE: TStringField;
    EmployeeQryJOB_GRADE: TSmallintField;
    EmployeeQryJOB_COUNTRY: TStringField;
    EmployeeQrySALARY: TFMTBCDField;
    EmployeeQryFULL_NAME: TStringField;
    HistoryQryEMP_NO: TSmallintField;
    HistoryQryCHANGE_DATE: TSQLTimeStampField;
    HistoryQryUPDATER_ID: TStringField;
    HistoryQryOLD_SALARY: TFMTBCDField;
    HistoryQryPERCENT_CHANGE: TFloatField;
    HistoryQryNEW_SALARY: TFloatField;
    EmployeeCdsEMP_NO: TSmallintField;
    EmployeeCdsFIRST_NAME: TStringField;
    EmployeeCdsLAST_NAME: TStringField;
    EmployeeCdsPHONE_EXT: TStringField;
    EmployeeCdsHIRE_DATE: TSQLTimeStampField;
    EmployeeCdsDEPT_NO: TStringField;
    EmployeeCdsJOB_CODE: TStringField;
    EmployeeCdsJOB_GRADE: TSmallintField;
    EmployeeCdsJOB_COUNTRY: TStringField;
    EmployeeCdsSALARY: TFMTBCDField;
    EmployeeCdsFULL_NAME: TStringField;
    HistoryCds: TClientDataSet;
    HistoryCdsEMP_NO: TSmallintField;
    HistoryCdsCHANGE_DATE: TSQLTimeStampField;
    HistoryCdsUPDATER_ID: TStringField;
    HistoryCdsOLD_SALARY: TFMTBCDField;
    HistoryCdsPERCENT_CHANGE: TFloatField;
    HistoryCdsNEW_SALARY: TFloatField;
    EmployeeSrc: TDataSource;
    HistorySrc: TDataSource;
    DeptQry: TSQLQuery;
    DeptQryDEPT_NO: TStringField;
    DeptQryDEPARTMENT: TStringField;
    EmployeeCdsHistoryQry: TDataSetField;
    procedure EmployeeCdsReconcileError(DataSet: TCustomClientDataSet;
      E: EReconcileError; UpdateKind: TUpdateKind;
      var Action: TReconcileAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainDm: TMainDm;

implementation

uses RecErrF;

{$R *.dfm}

procedure TMainDm.EmployeeCdsReconcileError(DataSet: TCustomClientDataSet;
  E: EReconcileError; UpdateKind: TUpdateKind;
  var Action: TReconcileAction);
begin
  Action := HandleReconcileError(DataSet, UpdateKind, E);
end;

end.
